Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface Portlet

All Superinterfaces:
  PortalResource, PortalScopedObject

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface Portlet
extends PortalResource

Interface `Portlet` represents the definition of a portlet as defined in the E-Business Control Center (EBCC).

Field Summary
`static int` | `URL_ALTERNATE_FOOTER` Deprecated. Constant to represent a URL of type Alternate Footer.
`static int` | `URL_ALTERNATE_HEADER` Deprecated. Constant to represent a URL of type Alternate Header.
`static int` | `URL_BANNER` Deprecated. Constant to represent a URL of type Banner.
`static int` | `URL_CONTENT` Deprecated. Constant to represent a URL of type Content.
`static int` | `URL_EDIT` Deprecated. Constant to represent a URL of type Edit.
`static int` | `URL_FOOTER` Deprecated. Constant to represent a URL of type Footer.
`static int` | `URL_HEADER` Deprecated. Constant to represent a URL of type Header.
`static int` | `URL_HELP` Deprecated. Constant to represent a URL of type Help.
`static int` | `URL_ICON` Deprecated. Constant to represent a URL of type Icon.
`static int` | `URL_MAXIMIZE` Deprecated. Constant to represent a URL of type Maximize.
`static int` | `URL_TITLEBAR` Deprecated. Constant to represent a URL of type Titlebar.

Method Summary
`PortletIdentifier` | `getIdentifier()` Deprecated. Returns the unique identifier for this portlet.
`String` | `getUrl(int urlType)` Deprecated. Returns a `String` URL for the URL type specified.
`String` | `getWebflowNamespace()` Deprecated. Returns the Webflow namespace to use for the portlet navigation.
`Boolean` | `isAvailable()` Deprecated. Determines whether this portlet was initially defined as Available in the EBCC.
`Boolean` | `isDefaultStateMinimized()` Deprecated. Determines whether this portlet was initially defined as having a default state of Minimized in the EBCC.
`Boolean` | `isEditable()` Deprecated. Determines whether this portlet was initially defined as Editable in the EBCC.
`Boolean` | `isFloatable()` Deprecated. Determines whether this portlet was initially defined as Floatable in the EBCC.
`Boolean` | `isHelpable()` Deprecated. Determines whether this portlet was initially defined as Helpable in the EBCC.
`Boolean` | `isLoginRequired()` Deprecated. Determines whether this portlet was defined as Login Required in the EBCC.
`Boolean` | `isMandatory()` Deprecated. Determines whether this portlet was initially defined as Mandatory in the EBCC.
`Boolean` | `isMaximizable()` Deprecated. Determines whether this portlet was initially defined as Maximizable in the EBCC.
`Boolean` | `isMinimizable()` Deprecated. Determines whether this portlet was initially defined as Minimizable in the EBCC.
`Boolean` | `isMovable()` Deprecated. Determines whether this portlet was initially defined as Moveable in the EBCC.
`Boolean` | `isVisible()` Deprecated. Determines whether this portlet was initially defined as Visible in the EBCC.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Field Detail

### URL_CONTENT

    public static final int URL_CONTENT

  Deprecated.
  Constant to represent a URL of type Content.

  See Also:
    Constant Field Values

### URL_HEADER

    public static final int URL_HEADER

  Deprecated.
  Constant to represent a URL of type Header.

  See Also:
    Constant Field Values

### URL_FOOTER

    public static final int URL_FOOTER

  Deprecated.
  Constant to represent a URL of type Footer.

  See Also:
    Constant Field Values

### URL_ALTERNATE_HEADER

    public static final int URL_ALTERNATE_HEADER

  Deprecated.
  Constant to represent a URL of type Alternate Header.

  See Also:
    Constant Field Values

### URL_ALTERNATE_FOOTER

    public static final int URL_ALTERNATE_FOOTER

  Deprecated.
  Constant to represent a URL of type Alternate Footer.

  See Also:
    Constant Field Values

### URL_TITLEBAR

    public static final int URL_TITLEBAR

  Deprecated.
  Constant to represent a URL of type Titlebar.

  See Also:
    Constant Field Values

### URL_BANNER

    public static final int URL_BANNER

  Deprecated.
  Constant to represent a URL of type Banner.

  See Also:
    Constant Field Values

### URL_EDIT

    public static final int URL_EDIT

  Deprecated.
  Constant to represent a URL of type Edit.

  See Also:
    Constant Field Values

### URL_HELP

    public static final int URL_HELP

  Deprecated.
  Constant to represent a URL of type Help.

  See Also:
    Constant Field Values

### URL_ICON

    public static final int URL_ICON

  Deprecated.
  Constant to represent a URL of type Icon.

  See Also:
    Constant Field Values

### URL_MAXIMIZE

    public static final int URL_MAXIMIZE

  Deprecated.
  Constant to represent a URL of type Maximize.

  See Also:
    Constant Field Values

Method Detail

### getIdentifier

    public PortletIdentifier getIdentifier()

  Deprecated.
  Returns the unique identifier for this portlet.

  Returns:
    `PortletIdentifier` for this portlet.

### getUrl

    public String getUrl(int urlType)

  Deprecated.
  Returns a `String` URL for the URL type specified. Valid values are:

  `Portlet.URL_CONTENT` `Portlet.URL_HEADER` `Portlet.URL_FOOTER` `Portlet.URL_ALTERNATE_HEADER` `Portlet.URL_ALTERNATE_FOOTER` `Portlet.URL_TITLEBAR` `Portlet.URL_BANNER` `Portlet.URL_EDIT` `Portlet.URL_HELP` `Portlet.URL_ICON` `Portlet.URL_MAXIMIZE`

  Parameters:
    `urlType` - a constant specifying the URL type required.
  Returns:
    the URL defined for the type specified.

### getWebflowNamespace

    public String getWebflowNamespace()

  Deprecated.
  Returns the Webflow namespace to use for the portlet navigation.

  Returns:
    a Webflow namespace for portlet navigation.

### isEditable

    public Boolean isEditable()

  Deprecated.
  Determines whether this portlet was initially defined as Editable in the EBCC.

  Returns:
    whether the portlet was initially specified as Editable.

### isAvailable

    public Boolean isAvailable()

  Deprecated.
  Determines whether this portlet was initially defined as Available in the EBCC.

  Returns:
    whether the portlet was initially specified as Available.

### isMandatory

    public Boolean isMandatory()

  Deprecated.
  Determines whether this portlet was initially defined as Mandatory in the EBCC.

  Returns:
    whether the portlet was initially specified as Mandatory.

### isMovable

    public Boolean isMovable()

  Deprecated.
  Determines whether this portlet was initially defined as Moveable in the EBCC.

  Returns:
    whether the portlet was initially specified as Moveable.

### isMinimizable

    public Boolean isMinimizable()

  Deprecated.
  Determines whether this portlet was initially defined as Minimizable in the EBCC.

  Returns:
    whether the portlet was initially specified as Minimizable.

### isMaximizable

    public Boolean isMaximizable()

  Deprecated.
  Determines whether this portlet was initially defined as Maximizable in the EBCC.

  Returns:
    whether the portlet was initially specified as Maximizable.

### isFloatable

    public Boolean isFloatable()

  Deprecated.
  Determines whether this portlet was initially defined as Floatable in the EBCC.

  Returns:
    whether the portlet was initially specified as Floatable.

### isVisible

    public Boolean isVisible()

  Deprecated.
  Determines whether this portlet was initially defined as Visible in the EBCC.

  Returns:
    whether the portlet was initially specified as Visible.

### isDefaultStateMinimized

    public Boolean isDefaultStateMinimized()

  Deprecated.
  Determines whether this portlet was initially defined as having a default state of Minimized in the EBCC.

  Returns:
    whether the portlet was specified as default Minimized.

### isLoginRequired

    public Boolean isLoginRequired()

  Deprecated.
  Determines whether this portlet was defined as Login Required in the EBCC.

  Returns:
    whether the portlet was initially specified as Login Required.

### isHelpable

    public Boolean isHelpable()

  Deprecated.
  Determines whether this portlet was initially defined as Helpable in the EBCC.

  Returns:
    whether the portlet was initially specified as Helpable.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved